<?php
/**
 * import_oscommerce.php created on 19/gen/2009
 *
 * 
 * @author Alessandro Vernassa <speleoalex@gmail.com>
 */
require_once ("fncommerce/fnc_functions.php");
global $_FN;
$op = getparam("opt", PAR_GET, SAN_FLAT);
$host=getparam("host",PAR_POST,SAN_FLAT);
$user=getparam("user",PAR_POST,SAN_FLAT);
$port=getparam("port",PAR_POST,SAN_FLAT);
$password=getparam("password",PAR_POST,SAN_FLAT);
$databasename=getparam("databasename",PAR_POST,SAN_FLAT);
$pathimages=getparam("pathimages",PAR_POST,SAN_FLAT);

if ($host=="") $host="localhost";
if ($user=="") $user="root";
if ($port=="") $port="3306";
if ($password=="") $password="root";
if ($databasename=="") $databasename="oscommerce";
//if ($pathimages=="") $pathimages="/home/alessandro/public_html/000_FLATNUKE_BLOCCHI/images/";
if ($pathimages=="") $pathimages="/home/alessandro/public_html/oscommerce/catalog/images/";

	

if (is_admin() && isset ($_GET['import']))
{

	$connection = array (
		"host" => "$host",
		"user" => "$user",
		"port" => "$port",
		"password" => "$password",
		"databasename" => "$databasename",
		//"pathimages" => "/var/www/html/it/oscommerce/catalog/images/"
		"pathimages" =>"$pathimages"

	
	);
	fnc_import_from_oscommerce($connection);
}
else
{
	echo "<form method=\"post\" action=\"?mod={$_FN['mod']}&amp;opt=$op&amp;import\">";
	echo "<br />host:<br /><input type=\"edit\" size=\"30\" name=\"host\" value=\"$host\" />";
	echo "<br />user:<br /><input type=\"edit\" size=\"30\" name=\"user\" value=\"$user\"/>";
	echo "<br />port:<br /><input type=\"edit\" size=\"30\" name=\"port\" value=\"$port\"/>";
	echo "<br />password:<br /><input type=\"edit\" size=\"30\" name=\"password\" value=\"$password\"/>";
	echo "<br />database:<br /><input type=\"edit\" size=\"30\" name=\"databasename\"  value=\"$databasename\"/>";
	echo "<br />path images:<br /><input type=\"edit\" size=\"60\" name=\"pathimages\"  value=\"$pathimages\"/>";
	echo "<br />Import countries:<br /><input type=\"checkbox\" size=\"60\" name=\"countries\"  value=\"1\"/>";
	echo "<br /><br /><input type=\"submit\" value=\""._EXECUTE."\" />";
	echo "</form>";

}



/**
 * 
 * 
 */
function fnc_import_from_oscommerce($conn)
{
	//return;
	global $_FN;
	$connection = array (
		"host" => $conn['host'],
		"user" => $conn['user'],
		"port" => $conn['port'],
		"password" =>$conn['password']
	);
	$databasename = $conn['databasename'];
	$pathoscommerceimages = $conn['pathimages'];

	$tablecat = new FieldForm("fndatabase", "fnc_categories", $_FN['datadir']);
	$tableman = new FieldForm("fndatabase", "fnc_manufacturers", $_FN['datadir']);
	$tablepc = new FieldForm("fndatabase", "fnc_products_to_categories", $_FN['datadir']);
	$tablepro = new FieldForm("fndatabase", "fnc_products", $_FN['datadir']);
	$tablecountries =  new FieldForm("fndatabase", "fnc_countries", $_FN['datadir']);
	$tablezones =  new FieldForm("fndatabase", "fnc_zones", $_FN['datadir']);

	
	$tablecat->xmltable->Truncate();
	$tableman->xmltable->Truncate();
	$tablepc->xmltable->Truncate();
	$tablepro->xmltable->Truncate();
	if (isset($_POST['countries']))
	{
		//--------------------------------------------------countries------------------>
		$tablecountries->xmltable->Truncate();
		echo "<h2>fnc_countries</h2>";
		$sqltext = "
		SELECT 
		countries_id as unirecid,
		countries_name as name,
		countries_iso_code_2 as iso_code_2,
		countries_iso_code_3 as iso_code_3
		FROM `countries`
		";
		$res = array();
		$res = fnc_sql_query($sqltext, $connection, $databasename);
		//dprint_r($res);
		foreach ($res as $item)
		{
			echo "<br />{$item['name']}";
			$tablecountries->xmltable->InsertRecord($item);
		}
		
		//--------------------------------------------------countries------------------<


		//--------------------------------------------------zones------------------>
		$tablezones->xmltable->Truncate();
		echo "<h2>fnc_zones</h2>";
		$sqltext = "
		SELECT 
		zone_id as unirecid,
		zone_name as name,
		zone_code as code,
		zone_country_id as country
		FROM `zones`
		";
		$res = array();
		$res = fnc_sql_query($sqltext, $connection, $databasename);
		//dprint_r($res);
		foreach ($res as $item)
		{
			echo "<br />{$item['name']}";
			$tablezones->xmltable->InsertRecord($item);
		}
		
		//--------------------------------------------------zones------------------<


	}



	//--------------------------------------------------categories------------------>
	echo "<h2>fnc_categories</h2>";
	$sqltext = "
	SELECT 
	categories.categories_id as unirecid,
	categories_image as photo1,
	categories_name as name,
	parent_id as parent,

    categories_image as photo1,
	sort_order
	FROM `categories`,categories_description 
	where categories.categories_id=categories_description.categories_id
	AND categories_description.language_id=1
	";
	$res = array();
	$res = fnc_sql_query($sqltext, $connection, $databasename);
	//dprint_r($res);
	foreach ($res as $item)
	{
		if ($item['parent']==0)
			$item['parent']="";
		echo "<br />{$item['name']}";
		$tablecat->xmltable->InsertRecord($item);
	}
	//--------------------------------------------------categories------------------<
	//--------------------------------------------------manufacturers------------------>
	echo "<h2>fnc_manufacturers</h2>";
	$sqltext = "
	SELECT 
	manufacturers.manufacturers_id as unirecid,
	manufacturers_image as photo1,
	manufacturers_url as url,
	manufacturers_name as name
	FROM `manufacturers`,manufacturers_info 
	where manufacturers.manufacturers_id=manufacturers_info.manufacturers_id
	";
	$res = array();
	$res = fnc_sql_query($sqltext, $connection, $databasename);
	//dprint_r($res);
	foreach ($res as $item)
	{
		echo "<br />{$item['name']}";
		$tableman->xmltable->InsertRecord($item);
	}
	//--------------------------------------------------manufacturers------------------<

	//--------------------------------------------------products------------------>
	echo "<h2>fnc_products</h2>";
	$sqltext = "SELECT 
	products.products_id AS unirecid, 
	products_price AS price,
	products_weight AS weight,
	products_model AS model,
	products_quantity AS quantity,
	products_name AS name,
	products_status AS status,
	products_description as description,
	categories_id AS category,
	products_image AS photo1,
	manufacturers_id AS manufacturers
	FROM `products` , `products_description`,products_to_categories
	WHERE products.products_id = products_description.products_id
	AND products_to_categories.products_id = products.products_id 
	AND products_description.language_id = 1
	ORDER BY `products`.`products_id` ASC
	";
	//dprint_r($sqltext);
	$res = array();
	$res = fnc_sql_query($sqltext, $connection, $databasename);

	foreach ($res as $item)
	{
		$item['photo1']=urldecode($item['photo1']);
		if (floatval($item['weight']) == 0.0)
			$item['freeshipping']=1;
		echo "<br />{$item['name']}";
		$r=$tablepro->xmltable->InsertRecord($item);
//		dprint_r($r);
	}

//	dprint_r($res);



	//---------immagini fnc_manufacturers
	$manufacturers = array();
	$manufacturers = fnc_getmanufacturers();
	foreach ($manufacturers as $prod)
		if ($prod['photo1'] != "")
		{
			if (!file_exists("{$_FN['datadir']}/fndatabase/fnc_manufacturers/{$prod['unirecid']}/"))
				mkdir("{$_FN['datadir']}/fndatabase/fnc_manufacturers/{$prod['unirecid']}/");
			if (!file_exists("{$_FN['datadir']}/fndatabase/fnc_manufacturers/{$prod['unirecid']}/photo1/"))
				mkdir("{$_FN['datadir']}/fndatabase/fnc_manufacturers/{$prod['unirecid']}/photo1/");
			if (!file_exists("{$_FN['datadir']}/fndatabase/fnc_manufacturers/{$prod['unirecid']}/photo1/thumbs"))
				mkdir("{$_FN['datadir']}/fndatabase/fnc_manufacturers/{$prod['unirecid']}/photo1/thumbs");

			if (!file_exists("misc/fndatabase/fnc_manufacturers/{$prod['unirecid']}/photo1/" . basename($prod['photo1'])))
			{
				copy("$pathoscommerceimages".($prod['photo1'])."", "{$_FN['datadir']}/fndatabase/fnc_manufacturers/{$prod['unirecid']}/photo1/" .
				basename($prod['photo1']));
				$prod['photo1']=basename($prod['photo1']);
				$tableman->xmltable->UpdateRecord($prod);
			}
			echo "<div style=\"border:1px solid;\">{$prod['photo1']}<br /><img width=\"100\" src=\"{$_FN['datadir']}/fndatabase/fnc_manufacturers/{$prod['unirecid']}/photo1/" . basename($prod['photo1']) . "\" /></div>";
		}


	$tablecategories = new FieldForm("fndatabase", "fnc_categories", $_FN['datadir'],$_FN['lang'],$_FN['languages']);
	$categories =  $tablecategories->xmltable->GetRecords(false, false, false, "sort_order");;
	foreach ($categories as $prod)
		if ($prod['photo1'] != "")
		{
			if (!file_exists("{$_FN['datadir']}/fndatabase/fnc_categories/{$prod['unirecid']}/"))
				mkdir("{$_FN['datadir']}/fndatabase/fnc_categories/{$prod['unirecid']}/");
			if (!file_exists("{$_FN['datadir']}/fndatabase/fnc_categories/{$prod['unirecid']}/photo1/"))
				mkdir("{$_FN['datadir']}/fndatabase/fnc_categories/{$prod['unirecid']}/photo1/");
			if (!file_exists("{$_FN['datadir']}/fndatabase/fnc_categories/{$prod['unirecid']}/photo1/thumbs"))
				mkdir("{$_FN['datadir']}/fndatabase/fnc_categories/{$prod['unirecid']}/photo1/thumbs");

			if (!file_exists("misc/fndatabase/fnc_categories/{$prod['unirecid']}/photo1/" . basename($prod['photo1'])))
			{
				copy("$pathoscommerceimages".($prod['photo1'])."", "{$_FN['datadir']}/fndatabase/fnc_categories/{$prod['unirecid']}/photo1/" .
				basename($prod['photo1']));
				$prod['photo1']=basename($prod['photo1']);
				$tablecat->xmltable->UpdateRecord($prod);
			}
			echo "<div style=\"border:1px solid;\">{$prod['photo1']}<br /><img width=\"100\" src=\"{$_FN['datadir']}/fndatabase/fnc_categories/{$prod['unirecid']}/photo1/" . basename($prod['photo1']) . "\" /></div>";
		}


	
	$products = $tablepro->xmltable->GetRecords();
	//dprint_r($products);
	//return;
	foreach ($products as $prod)
	{
		if ($prod['photo1'] != "")
		{
			if (!file_exists("{$_FN['datadir']}/fndatabase/fnc_products/{$prod['unirecid']}/"))
				mkdir("{$_FN['datadir']}/fndatabase/fnc_products/{$prod['unirecid']}/");
			if (!file_exists("misc/fndatabase/fnc_products/{$prod['unirecid']}/photo1/"))
				mkdir("{$_FN['datadir']}/fndatabase/fnc_products/{$prod['unirecid']}/photo1/");
			if (!file_exists("misc/fndatabase/fnc_products/{$prod['unirecid']}/photo1/thumbs"))
				mkdir("{$_FN['datadir']}/fndatabase/fnc_products/{$prod['unirecid']}/photo1/thumbs");

			if (!file_exists("misc/fndatabase/fnc_products/{$prod['unirecid']}/photo1/" . basename($prod['photo1'])))
			{

				dprint_r($prod['photo1']);
				copy("$pathoscommerceimages".($prod['photo1'])."", "{$_FN['datadir']}/fndatabase/fnc_products/{$prod['unirecid']}/photo1/" .
				basename($prod['photo1']));
				$prod['photo1']=basename($prod['photo1']);
				$r2=$tablepro->xmltable->UpdateRecord($prod);
				
			}
			echo "<div style=\"border:1px solid;\">{$prod['photo1']}<br /><img width=\"100\" src=\"{$_FN['datadir']}/fndatabase/fnc_products/{$prod['unirecid']}/photo1/" . basename($prod['photo1']) . "\" /></div>";
		}
	}
	//--------------------------------------------------products------------------<


	//---------------------------------fnc_products_to_categories------------>
	$sqltext="SELECT 
products_id as product,
categories_id as category
FROM `products_to_categories`";
	$res = fnc_sql_query($sqltext, $connection, $databasename);

	$i=1;
	foreach ($res as $item)
	{
		$item['unirecid']=$i;
		$r=$tablepc->xmltable->InsertRecord($item);
		//dprint_r($r);
		$i++;
	}
	//---------------------------------fnc_products_to_categories------------<



}

?>