<?php
/**
 * fnc_functions.php created on 13/gen/2009
 *
 * 
 * @author Alessandro Vernassa <speleoalex@gmail.com>
 */
global $_FNC,$_FN;
if ( file_exists("fncommerce/languages/{$_FN['lang']}.php") )
	require_once ("fncommerce/languages/{$_FN['lang']}.php");
else
	require_once ("fncommerce/languages/{$_FN['lang']}.php");
if (  !isset($_FNC['allproducts']) )
{
	$tableproduct = new FieldForm("fndatabase","fnc_products",$_FN['datadir'],$_FN['lang'],$_FN['languages']);
	//$_FNC['sort_product']="name";
	//if (!isset($_FNC['sort_product']) || $_FNC['sort_product']=="")
	//	$_FNC['sort_product']="sort_order";
	$_allproducts = $tableproduct->xmltable->GetRecords(false,false,false,false);
	//$_allproducts =  $tableproduct->xmltable->GetRecords(false,false,false,$_FNC['sort_product']);
	//dprint_r($_allproducts);
	foreach ( $_allproducts as $item )
	{
		if ( $_FN['lang'] != $_FN['listlanguages'][0] )
			$_FNC['allproducts'][$item['unirecid']] = $tableproduct->GetRecordTranslated($item);
		else
			$_FNC['allproducts'][$item['unirecid']] = $item;
			//carrello--->
		$qta = getparam("qta{$item['unirecid']}",PAR_GET,SAN_FLAT);
		if ( $qta != "" && $item['unirecid'] != "" )
			fnc_add_to_cart($item['unirecid'],$qta,true);
		//carrello---<
	}
	$tablecategories = new FieldForm("fndatabase","fnc_categories",$_FN['datadir'],$_FN['lang'],$_FN['languages']);
	$_allcategories = $tablecategories->xmltable->GetRecords(false,false,false,"sort_order");
	;
	foreach ( $_allcategories as $item )
	{
		if ( $_FN['lang'] != $_FN['listlanguages'][0] )
			$_FNC['categories'][$item['unirecid']] = $tablecategories->GetRecordTranslated($item);
		else
			$_FNC['categories'][$item['unirecid']] = $item;
	}
	//dprint_r($_FNC['categories']);
	$tableproducts_to_categories = new XMLTable("fndatabase","fnc_products_to_categories",$_FN['datadir']);
	$_allproducts_to_categories = $tableproducts_to_categories->GetRecords();
	foreach ( $_allproducts_to_categories as $item )
	{
		//dprint_r($item);
		$_FNC['products_to_categories'][$item['category']][$item['product']] = &$_FNC['allproducts'][$item['product']];
	}
}
/**
 * Offerte speciali
 * 
 * 
 */
function fnc_get_offers()
{
	global $_FN;
	$tableproduct = new XMLTable("fndatabase","fnc_offers",$_FN['datadir']);
	$_allproducts = $tableproduct->GetRecords(false,false,false,false);
	//dprint_r($_allproducts);
	$all = array();
	foreach ( $_allproducts as $p )
	{
		$t = fnc_getproduct($p['product']);
		if ( $t )
			$all[] = $t;
	}
	return $all;
}
/**
 * 
 * 
 */
function fnc_get_orders($restr = false)
{
	global $_FN;
	$table = new XMLTable("fndatabase","fnc_orders",$_FN['datadir']);
	$ret = $table->GetRecords($restr,false,false,"unirecid");
	return $ret;
}
/**
 * taduce lo stato dell' ordine nella lingua corrente
 * 
 * 
 */
function fnc_translate_orderstatus($status)
{
	global $_FN;
	$table = new FieldForm("fndatabase","fnc_orderstatus",$_FN['datadir'],$_FN['lang']);
	$ret = $table->GetRecordTranslated(array("unirecid"=>$status));
	return $ret['name'];
}
/**
 * ricava la lista degli stati degli ordini
 * 
 * 
 */
function fnc_get_orderstatus()
{
	global $_FN;
	$table = new FieldForm("fndatabase","fnc_orderstatus",$_FN['datadir'],$_FN['lang']);
	$all = $table->xmltable->GetRecords();
	$ret = array();
	foreach ( $all as $k=>$item )
	{
		$ret[$k] = $table->GetRecordTranslated(array("unirecid"=>$item['unirecid']));
	}
	//dprint_r($ret);
	return $ret;
}
/**
 * 
 * @param string $idcountry
 */
function fnc_get_country($idcountry)
{
	global $_FN;
	$table = new FieldForm("fndatabase","fnc_countries",$_FN['datadir'],$_FN['lang']);
	$ret = $table->GetRecordTranslated(array("unirecid"=>$idcountry));
	return $ret;
}
/**
 * 
 * @param string $idzone
 */
function fnc_get_zone($idzone)
{
	global $_FN;
	$table = new FieldForm("fndatabase","fnc_zones",$_FN['datadir'],$_FN['lang']);
	$ret = $table->GetRecordTranslated(array("unirecid"=>$idzone));
	return $ret;
}
/**
 * 
 * 
 */
function fnc_get_order($idorder)
{
	global $_FN;
	$table = new FieldForm("fndatabase","fnc_orders",$_FN['datadir'],$_FN['lang']);
	$ret = $table->GetRecordTranslated(array("unirecid"=>$idorder));
	//dprint_r($idorder);
	//dprint_r($ret);
	//dprint_r($ret);
	$table = new XMLTable("fndatabase","fnc_cart_items",$_FN['datadir']);
	$items = $table->GetRecords(array("order_id"=>$idorder));
	$ret['cart'] = $items;
	$table = new XMLTable("fndatabase","fnc_costs_items",$_FN['datadir']);
	$items = $table->GetRecords(array("order_id"=>$idorder));
	$ret['costs'] = $items;
	return $ret;
}
/**
 * invia mail di conferma ordine
 * 
 * @param array stato dell' ordine
 */
function fnc_send_confirm($ordervalues)
{
	global $_FN;
	$user = get_user($ordervalues['username']);
	$to = $user['email'];
	$subject = _FN_ORDERCONFIRM_SUBJECT;
	$subject = fnc_applytpl($subject,array("sitename"=>$_FN['sitename'],"ordernumber"=>$ordervalues['unirecid']));
	$message = "<h2>" . _FNC_MYORDER . "</h2><br />" . fnc_get_ordercost_details($ordervalues);
	$message .= "<br />";
	$message .= "<br />";
	//note sul pagamento dell' ordine
	if ( isset($ordervalues['payments']) && file_exists("fncommerce/modules/payments/{$ordervalues['payments']}/module.php") )
	{
		require_once ("fncommerce/modules/payments/{$ordervalues['payments']}/module.php");
		$classname = "fnc_payments_{$ordervalues['payments']}";
		$payment = new $classname($ordervalues);
		$message .= $payment->do_payment();
	}
	$message .= "<br /><br /><br />" . str_replace("\n","<br />",$ordervalues['address']);
	if ($_FN['fnc_enable_recipient'] == 1)
		$message .= "<br />".fn_i18n("Delivery_address").":<br />" . str_replace("\n","<br />",$ordervalues['shippingaddress']);
	
	fnc_send_mail($to,$subject,$message,"",true);
	fnc_send_mail($_FN['log_email_address'],_VARIE_NUOVO_ORDINE,$message,"",true);
}
/**
 * invia mail di conferma ordine
 * 
 * @param array stato dell' ordine
 */
function fnc_send_changestatus($ordervalues)
{
	global $_FN;
	$user = get_user($ordervalues['username']);
	$to = $user['email'];
	$subject = _FN_ORDERUPDATE_SUBJECT;
	$subject = fnc_applytpl($subject,array("sitename"=>$_FN['sitename'],"ordernumber"=>$ordervalues['unirecid']));
	$message = html_orderstatus($ordervalues['unirecid']);
	fnc_send_mail($to,$subject,$message,"",true);
}
/**
 * elimina dati ordine,carrello ecc. 
 * 
 * 
 */
function fnc_clear_order_temp()
{
	global $_FN;
	$time = time() + 999999999;
	$orderstatus = array();
	setcookie("orderstatus",serialize($orderstatus),$time,$_FN['urlcookie']);
	$_COOKIE['orderstatus'] = serialize($orderstatus);
	return $orderstatus;
}
/**
 * salva lo stato dell' orfine nei cookie
 * 
 */
function fnc_save_order_temp($orderstatus)
{
	global $_FN;
	$time = time() + 999999999;
	setcookie("orderstatus",serialize($orderstatus),$time,$_FN['urlcookie']);
	$_COOKIE['orderstatus'] = serialize($orderstatus);
	return $orderstatus;
}
/**
 * ricava lo stato dell' ordine salvato nei cookie 
 * 
 */
function fnc_get_order_temp()
{
	$ret = unserialize(strippostpslashes(getparam("orderstatus",PAR_COOKIE,SAN_FLAT)));
	//dprint_r($ret);
	return $ret;
}
/**
 * salva l' ordine sul database
 * 
 */
function fnc_save_order_status($orderstatus)
{
	global $_FN;
	$orderstatus['time'] = date("Y-m-d G:i:s",time()); //2009-02-06 00:00:00
	$table = new XMLTable("fndatabase","fnc_orders",$_FN['datadir']);
	$tablecart = new XMLTable("fndatabase","fnc_cart_items",$_FN['datadir']);
	$tablecosts = new XMLTable("fndatabase","fnc_costs_items",$_FN['datadir']);
	//dprint_r($orderstatus);
	//die();
	$status = $table->InsertRecord($orderstatus);
	foreach ( $orderstatus['cart'] as $item )
	{
		$cart['order_id'] = $status['unirecid'];
		$cart['pid'] = $item['pid'];
		$pvalues = fnc_getproduct($item['pid']);
		$cart['name'] = $pvalues['name'];
		$cart['qta'] = $item['qta'];
		$cart['price'] = $pvalues['price'];
		$tablecart->InsertRecord($cart);
	}
	//elimino i vecchi costi associati all'ordine e tengo solo quelli attualment selezionati
	$oldcosts = $tablecosts->GetRecords(array("order_id"=>$status['unirecid']));
	if (is_array($oldcosts))
	{
		foreach ($oldcosts as $cost)
		{
			$tablecosts->DelRecord($cost['unirecid']);
		}
	}
	//costi aggiuntivi
	if ( isset($orderstatus['costs']) )
		foreach ( $orderstatus['costs'] as $cost )
		{
			$cost['order_id'] = $status['unirecid'];
			$tablecosts->InsertRecord($cost);
		}
	return $status;
}
/**
 * aggiunge al carrello un prodotto
 * 
 */
function fnc_add_to_cart($pid, $qta = "", $forceqta = false)
{
	global $_FN;
	if ( $pid == "" )
		return;
	if ( $qta == "" )
		$qta = 1;
	$cart = fnc_get_cart();
	//$p=fnc_getproduct($pid);
	if ( $forceqta )
		$newqta = $qta;
	else 
		if ( isset($cart[$pid]['qta']) )
			$newqta = intval($cart[$pid]['qta']) + $qta;
		else
			$newqta = intval($qta);
	$cart[$pid] = array('pid'=>$pid,//	'price' => $p['price'],		
	'qta'=>$newqta);
	$time = time() + 999999999;
	if ( $qta == 0 )
		unset($cart[$pid]);
	$newcart = array();
	foreach ( $cart as $k=>$v )
	{
		if ( $k != "" && isset($v['qta']) && $v['qta'] >= 0 )
			$newcart[$k] = $v;
	}
	fnc_save_order_temp(array('cart'=>$newcart));
}
/**
 * 
 * svuota il carrello
 */
function fnc_empty_cart($pid)
{
	global $_FN;
	$cart = array();
	fnc_save_order_temp(array('cart'=>$cart));
}
/**
 * elimina un prodotto dal carrello
 * 
 */
function fnc_rem_from_cart($pid)
{
	global $_FN;
	$cart = fnc_get_cart();
	if ( isset($cart[$pid]['qta']) )
		unset($cart[$pid]);
	fnc_save_order_temp(array('cart'=>$cart));
}
function fnc_get_cart_count()
{
	$ret = fnc_get_order_temp();
	if ( isset($ret['cart']) && is_array($ret['cart']) )
		return count($ret['cart']);
	return 0;
}
/**
 * recupera contenuto del carrello
 * 
 */
function fnc_get_cart()
{
	$ret = fnc_get_order_temp();
	if ( isset($ret['cart']) )
		return $ret['cart'];
	return false;
}
/**
 * recupera la categoria
 * @param string id categoria
 * 
 */
function fnc_getcategory($id)
{
	global $_FN,$_FNC;
	if ( isset($_FNC['categories'][$id]) )
		return $_FNC['categories'][$id];
	return false;
}
/**
 * recupera la lista di tutte le categorie
 * 
 * 
 */
function fnc_getcategories($r = false)
{
	global $_FN,$_FNC;
	$ret = array();
	if ( is_array($r) )
	{
		foreach ( $_FNC['categories'] as $cat )
		{
			$ok = true;
			foreach ( $r as $k=>$v )
			{
				if ( $cat[$k] != $v )
				{
					$ok = false;
					break;
				}
			}
			if ( $ok )
				$ret[$cat['unirecid']] = $cat;
		}
	}
	else
		return $_FNC['categories'];
	return $ret;
}
function fnc_getmanufacturers($r = false)
{
	global $_FN;
	$table = new FieldForm("fndatabase","fnc_manufacturers",$_FN['datadir']);
	$all = $table->xmltable->GetRecords($r,false,false,"sort_order");
	return $all;
}
function fnc_getmanufacturersById($unirecid)
{
	global $_FN;
	$table = new FieldForm("fndatabase","fnc_manufacturers",$_FN['datadir']);
	$all = $table->xmltable->GetRecords(array("unirecid"=>$unirecid),false,false);
	$ret = isset($all[0]) ? $all[0] : false;
	$ret['image'] = "";
	if ( isset($ret['photo1']) && $ret['photo1'] != "" )
		$ret['image'] = $_FN['datadir'] . "/fndatabase/fnc_manufacturers/{$ret['unirecid']}/photo1/{$ret['photo1']}";
	return $ret;
}


/**
 * ricava indirizzo utente
 * 
 */
function fnc_get_shipping_values($user)
{
	global $_FN;
	$table = new XMLTable("fndatabase","fnc_users",$_FN['datadir']);
	$ret = $table->GetRecords(array("username"=>"$user"));
	// se non ho un indirizzo di spedizione uso l'indirizzo di fatturazione
	//dprint_r($ret);
	if (isset($ret[0]))
	{
		if (!isset($ret[0]['doshippingaddress']) || (isset($ret[0]['doshippingaddress']) && $ret[0]['doshippingaddress'] == "no"))
		{
			$ret[0]['shippingcountry'] = $ret[0]['country'];
			$ret[0]['shippingzone'] = $ret[0]['zone'];
			$ret[0]['shippingzip'] = $ret[0]['zip'];
			$ret[0]['shippingcity'] = $ret[0]['city'];
			$ret[0]['shippingtelephone'] = $ret[0]['telephone'];
			$ret[0]['shippingaddress'] = $ret[0]['address'];
			if ($ret[0]['type'] == "company" )
				$ret[0]['shippingname'] = $ret[0]['companyname'];
			else
				$ret[0]['shippingname'] = $ret[0]['firstname']." ".$ret[0]['lastname'];
		}
	}
	return $ret;
}
/**
 * ricava indirizzo utente
 * 
 */
function fnc_get_shipping_values_string($user)
{
	global $_FN;
	$fields = new FieldForm("fndatabase","fnc_users",$_FN['datadir']);
	$uservalues = fnc_get_shipping_values($user);
	if (!isset($uservalues[0]))
		return false;
	$uservalues = $uservalues[0];
	if ( $uservalues['type'] == 'company' )
	{
		$ret = $uservalues['companyname'] . "\n";
		$ret .= $uservalues['vat'] . "\n\n";
	}
	else
	{
		$ret = $uservalues['firstname'] . " " . $uservalues['lastname'] . "\n";
		$ret .= $uservalues['fiscalcode'] . "\n\n";
	}
	$ret .= $uservalues['address'] . "\n" . $uservalues['zip'] . "\n";
	$ret .= $uservalues['city'] . "\n";
	$zone['name'] = "";
	if ( isset($uservalues['zone']) )
		$zone = fnc_get_zone($uservalues['zone']);
	$state = fnc_get_country($uservalues['country']);
	$ret .= $zone['name'] . "\n";
	$ret .= $state['name'] . "\n";

	
	//if (isset($uservalues['doshippingaddress']))
	//{
	//	if ($uservalues['doshippingaddress'] == "yes")
		{
			//$ret = "{Billing_Data}\n$ret";
			$ret .= "\n\n{Delivery_address}\n";
			$ret .= $uservalues['shippingname'] . "\n";
			$ret .= $uservalues['shippingaddress'] . "\n" . $uservalues['shippingzip'] . "\n";
			$ret .= $uservalues['shippingcity'] . "\n";
			$zone['name'] = "";
			if ( isset($uservalues['shippingzone']) )
				$zone = fnc_get_zone($uservalues['shippingzone']);
			$state = fnc_get_country($uservalues['shippingcountry']);
			$ret .= $zone['name'] . "\n";
			$ret .= $state['name'] . "\n";
		}
	//}
	//else
	//{
	//	$ret .= "{Delivery_address}\n$ret";
	//}
	/*
	foreach ($fields->formvals as $key => $value)
	{
		if (isset ($value['frm_show']) && $value['frm_show'] != "1")
			continue;
	
		if (isset ($value['frm_group']) && $value['frm_group'] != "")
			$ret .= "" . $value['frm_group'] . "\n";
			if ($uservalues[$key] != "")
				$ret .= "" . $value['title'] . ": " . $uservalues[$key] . "\n";
			else
				$ret .= "" . $value['title'] . ": -\n";
	}*/
	return $ret;
}
/**
 * ricava indirizzo utente
 * 
 */
function fnc_get_shipping_values_htmlstring($user)
{
	$ret = fnc_get_shipping_values_string($user);
	$ret = str_replace("\n","<br />",$ret);	
	$ret = str_replace("{Delivery_address}","<b>".fn_i18n("Delivery_address").":</b>",$ret);
	$ret = str_replace("{Billing_Data}","<b>".fn_i18n("Billing_Data").":</b>",$ret);
	
	
	return $ret;
}
/**
 * recupera la lista dei prodotti
 * 
 */
function fnc_getproducts($r = "")
{
	global $_FN,$_FNC;
	//$table = new FieldForm("fndatabase", "fnc_products", $_FN['datadir']);
	//$all = $table->xmltable->GetRecords($restr);
	//$table = new XMLTable("fndatabase", "fnc_products_to_categories", $_FN['datadir']);
	$all = array();
	if ( is_array($r) )
	{
		foreach ( $_FNC['allproducts'] as $cat )
		{
			$ok = true;
			foreach ( $r as $k=>$v )
			{
				if ( $cat[$k] != $v )
				{
					$ok = false;
					break;
				}
			}
			if ( $ok )
				$all[$cat['unirecid']] = $cat;
		}
	}
	else
		$all = $_FNC['allproducts'];
	return $all;
}
/**
 * recupera i valori del prodotto
 * 
 * 
 */
function fnc_getproduct($pid)
{
	global $_FN;
	$table = new FieldForm("fndatabase","fnc_products",$_FN['datadir'],$_FN['lang']);
	$all = $table->GetRecordTranslated(array("unirecid"=>$pid));
	if (  !isset($all['unirecid']) )
		return false;
	$table = new XMLTable("fndatabase","fnc_products_to_categories",$_FN['datadir']);
	// metto la prima categoria
	$cats = $table->GetRecords(array("product"=>$pid));
	$cat = isset($cat[0]['unirecid']) ? $cat[0]['unirecid'] : "";
	$all['category'] = $cat;
	return $all;
}
/**
 * recupera la lista dei prodotti partendo dalla categoria
 * @param string $cat
 * 
 */
function fnc_getproductsbycategory($cat, $ranges = "")
{
	global $_FN,$_FNC;
	$products_to_categories = $_FNC['products_to_categories'];
	$products = array();
	$ret = array();
	if ( $cat == "" )
		return;
	if ( isset($_FNC['products_to_categories'][$cat]) )
		foreach ( $_FNC['products_to_categories'][$cat] as $prod )
		{
			if ( isset($ret[$prod['unirecid']]) )
			{
				continue;
			}
			$m = "";
			$ok = true;
			if ( is_array($ranges) )
				foreach ( $ranges as $k=>$range )
				{
					if ( $range != "" )
					{
						if ( ereg('-min$',$k) )
						{
							$k = ereg_replace('-min$','',$k);
							if ( $prod[$k] < intval($range) )
							{
								$ok = false;
								break;
							}
						}
						else
						{
							$k = ereg_replace('-max$','',$k);
							if ( $prod[$k] > intval($range) )
							{
								$ok = false;
								break;
							}
						}
					}
				}
			if ( $ok )
			{
				$ret[$prod['unirecid']] = $prod;
			}
		}
		//dprint_r($ret);
	return $ret;
}
/**
 * recupera i prodotti all' interno di una categoria
 * 
 */
function fnc_getproductscountbycategory($cat, $ranges = "", $filters = "")
{
	global $_FN,$_FNC;
	$filters = array();
	foreach ( $_FNC['categories'] as $category )
	{
		$filter = getparam("cat_{$category['unirecid']}",PAR_GET,SAN_FLAT);
		if ( $filter == 1 )
			$filters[$category['unirecid']] = $category['unirecid'];
	}
	static $allcats = "";
	static $table;
	$products = array();
	$ret = array();
	if ( $cat == "" )
		return 0;
		/*if ($ranges == "" || count($ranges) == 0)
	{
		return count($categories[$cat]);
	}*/
	if ( isset($_FNC['products_to_categories'][$cat]) )
		foreach ( $_FNC['products_to_categories'][$cat] as $prod )
		{
			$ok = true;
			foreach ( $filters as $filter )
			{
				//dprint_r($filter);
				if (  !isset($_FNC['products_to_categories'][$filter][$prod['unirecid']]) )
				{
					//dprint_r("filtro");
					$ok = false;
					break;
				}
				//else
			//	dprint_r($products_to_categories[$cat][$prod['unirecid']]);
			}
			$m = "";
			if ( $ok )
				foreach ( $ranges as $k=>$range )
				{
					if ( $range != "" )
					{
						if ( ereg('-min$',$k) )
						{
							$k = ereg_replace('-min$','',$k);
							if ( $prod[$k] < intval($range) )
							{
								$ok = false;
								break;
							}
						}
						else
						{
							$k = ereg_replace('-max$','',$k);
							if ( $prod[$k] > intval($range) )
							{
								$ok = false;
								break;
							}
						}
					}
				}
			if ( $ok )
			{
				$ret[$prod['unirecid']] = $prod;
			}
		}
		//dprint_r($ret);
	return count($ret);
}
/**
 * recupera le categorie a cui  associato
 * il prodotto
 * 
 * 
 */
function fnc_getcategoriesbyproduct($pid)
{
	global $_FN;
	$table = new XMLTable("fndatabase","fnc_products_to_categories",$_FN['datadir']);
	$all = $table->GetRecords(array("product"=>$pid));
	$cats = array();
	//dprint_r($all);
	foreach ( $all as $item )
	{
		$cats[] = fnc_getcategory($item['category']);
	}
	return $cats;
}
/**
 * formatta il prezzo
 * @param price
 * 
 */
function fnc_format_price($price)
{
	global $_FN;
	$price = round(floatval($price),2);
	//$price = sprintf("%.3f {$_FN['currency_symbol']}", $price);
	$price = number_format($price,2,_FN_DEC_SEPARATOR,_FN_THOWSANDS_SEPARATOR) . "&nbsp;" . $_FN['currency_symbol'];
	return $price;
}
/**
 * inizializza le tabelle
 * 
 */
function fnc_initTables()
{
	global $_FN;
	if (  !file_exists("{$_FN['datadir']}/fncommerce/") )
	{
		mkdir("{$_FN['datadir']}/fncommerce/");
	}
	//------------categorie-------------------------------->
	if (  !file_exists("{$_FN['datadir']}/fndatabase/fnc_categories.php") )
	{
	}
	if (  !file_exists("{$_FN['datadir']}/fndatabase/fnc_categories") )
	{
		mkdir("{$_FN['datadir']}/fndatabase/fnc_categories");
	}
	//------------categorie-------------------------------<
	//----------prodotti------------------------------------->
	if (  !file_exists("{$_FN['datadir']}/fndatabase/fnc_products.php") )
	{
	}
	if (  !file_exists("{$_FN['datadir']}/fndatabase/fnc_products") )
	{
		mkdir("{$_FN['datadir']}/fndatabase/fnc_products");
	}
	//----------prodotti-------------------------------------<
}
/**
 * invia una mail
 * 
 * @param string destinatario
 * @param string subject
 * @param string message
 * @param string from
 * @param bool is html
 * 
 */
function fnc_send_mail($to, $subject, $message, $from, $html = false)
{
	global $_FN;
	if ( $from == "" )
	{
		$from = $_FN['site_email_address'];
	}
	if ( strtoupper(substr(PHP_OS,0,3) == 'WIN') )
	{
		$eol = "\r\n";
	}
	elseif ( strtoupper(substr(PHP_OS,0,3) == 'MAC') )
	{
		$eol = "\r";
	}
	else
	{
		$eol = "\n";
	}
	if ( $html )
	{
		$headers = "MIME-Version: 1.0$eol" . "Content-type: text/html; charset=iso-8859-1$eol" .  "Reply-To: $from$eol";
	}
	else
	{
		$headers = "Reply-To: {$_FN['site_email_address']}";
	}
	$headers = str_replace("\r","",$headers);
	$headers = str_replace("\n",$eol,$headers);
	return mail($to,$subject,$message,"From: $from$eol" . $headers);
}
/**
 * calcola il costo totale dell' ordine
 * @return array orderstatus aggiornato di total
 * 
 */
function fnc_calculate_order_cost($orderstatus)
{
	global $_FN;
	$total = 0;
	$cart = $orderstatus['cart'];
	//-------costi prodotti --------------------- ------>
	foreach ( $cart as $k=>$item )
	{
		$product = fnc_getproduct($item['pid']);
		if ( isset($product['name']) )
		{
			$total += $item['qta'] * $product['price'];
			$orderstatus['cart'][$k]['name'] = $product['name'];
			$orderstatus['cart'][$k]['price'] = $item['qta'] * $product['price'];
		}
	}
	//-------costi prodotti --------------------- ------<
	//-------costi aggiuntivi dichiarati dai moduli ------>
	if ( isset($orderstatus['costs']) && is_array($orderstatus['costs']) )
		foreach ( $orderstatus['costs'] as $itemcost )
		{
			$total += $itemcost['total'];
		}
		//-------costi aggiuntivi dichiarati dai moduli ------<
	$orderstatus['total'] = $total;
	return $orderstatus;
}
/**
 * ritorna la stringa formattata con i dettagli di un ordine
 * @param array stato dell ordine
 * 
 */
function fnc_get_ordercost_details($orderstatus)
{
	global $_FN;
	$total = 0;
	$cart = $orderstatus['cart'];
	//dprint_r($cart);
	$str = "<table border=\"1\" cellspacing=\"1\" cellpadding=\"4\">";
	foreach ( $cart as $item )
	{
		$str .= "<tr>";
		$str .= "<td>{$item['name']} x {$item['qta']}</td><td style=\"text-align:right\">" . fnc_format_price($item['price']) . "</td>";
		$str .= "</tr>";
	}
	//-------costi aggiuntivi dichiarati dai moduli ------>
	if ( isset($orderstatus['costs']) && is_array($orderstatus['costs']) )
		foreach ( $orderstatus['costs'] as $itemcost )
		{
			$total += $itemcost['total'];
			$str .= "<tr>";
			$str .= "<td>{$itemcost['title']}</td><td style=\"text-align:right\">" . fnc_format_price($itemcost['total']) . "</td>";
			$str .= "</tr>";
		}
		//-------costi aggiuntivi dichiarati dai moduli ------<
	//-------totale ------>
	$str .= "<tr>";
	$str .= "<td><b>" . _VARIE_TOTALE_ORDINE . "</b></td><td style=\"text-align:right;font-weight:bold\">" . fnc_format_price($orderstatus['total']) . "</td>";
	$str .= "</tr>";
	//-------totale ------<
	$str .= "</table>";
	return $str;
}
/**
 * query sql
 * 
 */
function fnc_sql_query($sqltext, $connection, $databasename)
{
	if (  !$connessione = mysql_connect($connection['host'] . ":" . $connection['port'],$connection['user'],$connection['password']) )
		die(mysql_error());
	mysql_select_db($databasename);
	$result = mysql_query($sqltext);
	$res = array();
	if ( $result )
		while ($tmp = mysql_fetch_assoc($result))
			$res[] = $tmp;
	return $res;
}
/**
 * 
 * 
 */
function fnc_applytpl($string, $values)
{
	foreach ( $values as $k=>$v )
	{
		$string = str_replace('{' . $k . '}',$v,$string);
	}
	return $string;
}
/**
 * 
 * 
 */
function fnc_get_order_steps()
{
	$steps = array();
	$steps_modules = "";
	include ("fncommerce/modules/config.php");
	$steps = explode(",",$steps_modules);
	return $steps;
}
/**
 * torna il primo step valido
 * 
 */
function fnc_get_next_order_step($step = "")
{
	$next = "";
	$steps = fnc_get_order_steps();
	if ( $step == "" )
		$next = isset($steps[0]) ? $steps[0] : "";
	for ( $i = 0;$i < count($steps);$i++  )
	{
		if ( $steps[$i] == $step )
		{
			if ( isset($steps[$i + 1]) )
				$next = $steps[$i + 1];
		}
	}
	$orderstatus = fnc_get_order_temp();
	//se per l' ordine corrente lo step non e' abilitato vado direttamente al prossimo
	if ( file_exists("fncommerce/modules/$next/module.php") )
	{
		require_once ("fncommerce/modules/$next/module.php");
		$classname = "fnc_$next";
		$stepclass = new $classname($orderstatus);
		if ( $stepclass->is_enabled() == false )
		{
			return fnc_get_next_order_step($next);
		}
	}
	if ( $next == "" )
		$next = "confirmorder";
	return $next;
}

/**
 * torna il primo step valido
 * 
 */
function fnc_get_prev_order_step($step = "")
{
	$prev = "";
	$steps = fnc_get_order_steps();
	if ( $step == "" )
		return "";
	
	for ( $i = 0;$i < count($steps);$i++  )
	{
		if ( $steps[$i] == $step )
		{
			if ( isset($steps[$i - 1]) )
			{
				$prev = $steps[$i - 1];
				$orderstatus = fnc_get_order_temp();
				if ( file_exists("fncommerce/modules/$prev/module.php") )
				{
					require_once ("fncommerce/modules/$prev/module.php");
					$classname = "fnc_$prev";
					$stepclass = new $classname($orderstatus);
					if ( $stepclass->is_enabled() == false )
					{
						return fnc_get_prev_order_step($prev);
					}
				}
				
			}
		}
	}
	return $prev;
}


/**
 * 
 * 
 */
function fnc_get_modules_in_step($step)
{
	$list_enabled_modules = "";
	include ("fncommerce/modules/$step/config.php");
	return explode(",",$list_enabled_modules);
}
/**
 * 
 * 
 */
if (  !function_exists("fnc_validate_user_data") )
{
	function fnc_validate_user_data($data)
	{
		$err = true;
		//dprint_r($_POST);
		$type = getparam("type",PAR_POST,SAN_FLAT);
		if ( $type == "company" )
		{
			$vat = getparam("vat",PAR_POST,SAN_FLAT);
			if ( $vat == "" )
				return "per le aziende devi inserire la partita iva";
		}
		if ( $type == "private" )
		{
			$firstname = getparam("firstname",PAR_POST,SAN_FLAT);
			$lastname = getparam("lastname",PAR_POST,SAN_FLAT);
			$fiscalcode = getparam("fiscalcode",PAR_POST,SAN_FLAT);
			if ( $firstname == "" || $lastname == "" || $fiscalcode == "" )
				$err .= "Per i privati occorre inserire il nome, il cognome e il codice fiscale";
		}
		return $err;
	}
}
/**
 * Verifica se un utente ha fatto almeno un ordine
 * 
 */
function fnc_have_orders($user)
{
	$orders = fnc_get_orders(array("username"=>$user));
	if ( is_array($orders) && count($orders) > 0 )
		return true;
	return false;
}
?>